/*  */
import ImgUpLoad from './components/imgUpLoad'

const components = [
  ImgUpLoad
]

// 用于全局use
const install = function(Vue, opts = {}) {
  // 判断是否安装
  if (install.installed) return
  // 遍历所有组件
  components.forEach(component => {
    Vue.component(component.name, component)
  })
}

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

export default {
  install,
  ImgUpLoad
}
