const state = {
  count: 0,
  menuIndex: '1'
}

const mutations = {
  MENU_INCREMENT: (state) => {
    state.count++
  }
}

const actions = {
  menuIncrement({ commit }, state) {
    commit('MENU_INCREMENT', state)
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
